> ## Documentation Index
> Fetch the complete documentation index at: https://api.docs.flare.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Identifier



## OpenAPI

````yaml firework-v4-openapi post /firework/v4/identifiers/
openapi: 3.1.0
info:
  title: Firework API
  version: v4
servers:
  - url: https://api.flare.io
security:
  - BearerAuth: []
paths:
  /firework/v4/identifiers/:
    post:
      tags:
        - public
        - team=experience
      summary: Create Identifier
      operationId: create_public_identifier_identifiers__post
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PublicIdentifierRequestBody'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicIdentifierResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    PublicIdentifierRequestBody:
      properties:
        data:
          oneOf:
            - $ref: '#/components/schemas/CCBinData'
            - $ref: '#/components/schemas/IPData'
            - $ref: '#/components/schemas/KeywordData'
            - $ref: '#/components/schemas/AzureTenantData'
            - $ref: '#/components/schemas/DomainData'
            - $ref: '#/components/schemas/SearchQueryData'
            - $ref: '#/components/schemas/GithubRepositoryData'
            - $ref: '#/components/schemas/SecretData'
            - $ref: '#/components/schemas/PublicIdentityData'
          title: Data
          discriminator:
            propertyName: type
            mapping:
              azure_tenant:
                $ref: '#/components/schemas/AzureTenantData'
              bin:
                $ref: '#/components/schemas/CCBinData'
              domain:
                $ref: '#/components/schemas/DomainData'
              github_repository:
                $ref: '#/components/schemas/GithubRepositoryData'
              identity:
                $ref: '#/components/schemas/PublicIdentityData'
              ip:
                $ref: '#/components/schemas/IPData'
              keyword:
                $ref: '#/components/schemas/KeywordData'
              search_query:
                $ref: '#/components/schemas/SearchQueryData'
              secret:
                $ref: '#/components/schemas/SecretData'
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        categories:
          items:
            $ref: '#/components/schemas/SearchType'
          type: array
          title: Categories
        emerging_categories:
          items:
            type: string
          type: array
          title: Emerging Categories
        severities:
          items:
            $ref: '#/components/schemas/Severity'
          type: array
          title: Severities
        group_id:
          anyOf:
            - type: integer
            - type: 'null'
          title: Group Id
      type: object
      required:
        - data
        - categories
        - emerging_categories
        - severities
      title: PublicIdentifierRequestBody
    PublicIdentifierResponse:
      properties:
        id:
          type: integer
          title: Id
        name:
          type: string
          title: Name
        tenant_id:
          type: integer
          title: Tenant Id
        data:
          oneOf:
            - $ref: '#/components/schemas/CCBinData'
            - $ref: '#/components/schemas/IPData'
            - $ref: '#/components/schemas/KeywordData'
            - $ref: '#/components/schemas/AzureTenantData'
            - $ref: '#/components/schemas/DomainData'
            - $ref: '#/components/schemas/SearchQueryData'
            - $ref: '#/components/schemas/GithubRepositoryData'
            - $ref: '#/components/schemas/SecretData'
            - $ref: '#/components/schemas/PublicIdentityData'
          title: Data
          discriminator:
            propertyName: type
            mapping:
              azure_tenant:
                $ref: '#/components/schemas/AzureTenantData'
              bin:
                $ref: '#/components/schemas/CCBinData'
              domain:
                $ref: '#/components/schemas/DomainData'
              github_repository:
                $ref: '#/components/schemas/GithubRepositoryData'
              identity:
                $ref: '#/components/schemas/PublicIdentityData'
              ip:
                $ref: '#/components/schemas/IPData'
              keyword:
                $ref: '#/components/schemas/KeywordData'
              search_query:
                $ref: '#/components/schemas/SearchQueryData'
              secret:
                $ref: '#/components/schemas/SecretData'
        categories:
          items:
            $ref: '#/components/schemas/SearchType'
          type: array
          title: Categories
        emerging_categories:
          items:
            type: string
          type: array
          title: Emerging Categories
        severities:
          items:
            $ref: '#/components/schemas/Severity'
          type: array
          title: Severities
        group_id:
          anyOf:
            - type: integer
            - type: 'null'
          title: Group Id
        enrichments:
          anyOf:
            - $ref: '#/components/schemas/IdentifierEnrichments'
            - type: 'null'
        is_disabled:
          type: boolean
          title: Is Disabled
        updated_at:
          type: string
          format: date-time
          title: Updated At
      type: object
      required:
        - id
        - name
        - tenant_id
        - data
        - categories
        - emerging_categories
        - severities
        - group_id
        - enrichments
        - is_disabled
        - updated_at
      title: IdentifierResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    CCBinData:
      properties:
        type:
          type: string
          const: bin
          title: Type
          default: bin
        bin:
          type: string
          minLength: 1
          title: Bin
      type: object
      required:
        - bin
      title: CCBinData
    IPData:
      properties:
        type:
          type: string
          const: ip
          title: Type
          default: ip
        ip:
          type: string
          minLength: 1
          title: Ip
      type: object
      required:
        - ip
      title: IPData
    KeywordData:
      properties:
        type:
          type: string
          const: keyword
          title: Type
          default: keyword
        keyword:
          type: string
          minLength: 1
          title: Keyword
      type: object
      required:
        - keyword
      title: KeywordData
    AzureTenantData:
      properties:
        type:
          type: string
          const: azure_tenant
          title: Type
          default: azure_tenant
        tenant_id:
          type: string
          minLength: 1
          title: Tenant Id
      type: object
      required:
        - tenant_id
      title: AzureTenantData
    DomainData:
      properties:
        type:
          type: string
          const: domain
          title: Type
          default: domain
        fqdn:
          type: string
          minLength: 1
          title: Fqdn
      type: object
      required:
        - fqdn
      title: DomainData
    SearchQueryData:
      properties:
        type:
          type: string
          const: search_query
          title: Type
          default: search_query
        search_query:
          type: string
          minLength: 1
          title: Search Query
      type: object
      required:
        - search_query
      title: SearchQueryData
    GithubRepositoryData:
      properties:
        type:
          type: string
          const: github_repository
          title: Type
          default: github_repository
        repo_name:
          type: string
          minLength: 1
          title: Repo Name
        repo_owner:
          type: string
          minLength: 1
          title: Repo Owner
      type: object
      required:
        - repo_name
        - repo_owner
      title: GithubRepositoryData
    SecretData:
      properties:
        type:
          type: string
          const: secret
          title: Type
          default: secret
        secret:
          type: string
          minLength: 1
          title: Secret
      type: object
      required:
        - secret
      title: SecretData
    PublicIdentityData:
      properties:
        type:
          type: string
          const: identity
          title: Type
          default: identity
        attributes:
          items:
            oneOf:
              - $ref: '#/components/schemas/EmailData'
              - $ref: '#/components/schemas/UsernameData'
              - $ref: '#/components/schemas/NameData'
            discriminator:
              propertyName: type
              mapping:
                email:
                  $ref: '#/components/schemas/EmailData'
                name:
                  $ref: '#/components/schemas/NameData'
                username:
                  $ref: '#/components/schemas/UsernameData'
          type: array
          maxItems: 15
          minItems: 1
          title: Attributes
      type: object
      required:
        - attributes
      title: IdentityData
    SearchType:
      type: string
      enum:
        - attachment
        - listing
        - ransomleak
        - forum_post
        - forum_topic
        - forum_profile
        - blog_post
        - seller
        - paste
        - leak
        - chat_message
        - domain
        - bot
        - stealer_log
        - infected_devices
        - driller
        - driller_forum_topic
        - driller_forum_post
        - driller_profile
        - cc
        - ccbin
        - financial_data
        - leaked_data
        - leaked_file
        - document
        - account
        - actor
        - forum_content
        - blog_content
        - profile
        - leaked_credential
        - valid_credential
        - invalid_credential
        - mitigated_credential
        - illicit_networks
        - open_web
        - domains
        - intelligence_object
        - leaks
        - social_media_account
        - social_media
        - source_code
        - source_code_secrets_np
        - source_code_secrets
        - source_code_files
        - docker
        - stack_exchange
        - google
        - service
        - driller_host
        - buckets
        - bucket
        - bucket_object
        - whois
        - ad
        - ads
        - cookie
        - pii
        - experimental
      title: SearchType
    Severity:
      type: string
      enum:
        - info
        - low
        - medium
        - high
        - critical
      title: Severity
    IdentifierEnrichments:
      properties:
        domain_reachable_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Domain Reachable At
        domain_resolves_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Domain Resolves At
        usage_count:
          type: integer
          title: Usage Count
        event_count:
          anyOf:
            - type: integer
            - type: 'null'
          title: Event Count
        authorization_status:
          anyOf:
            - $ref: '#/components/schemas/IdentifierAuthorizationStatus'
            - type: 'null'
          examples:
            - authorized
            - pending
            - rejected
      type: object
      required:
        - domain_reachable_at
        - domain_resolves_at
        - usage_count
        - event_count
        - authorization_status
      title: IdentifierEnrichments
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    EmailData:
      properties:
        type:
          type: string
          const: email
          title: Type
          default: email
        email:
          type: string
          format: email
          title: Email
      type: object
      required:
        - email
      title: EmailData
    UsernameData:
      properties:
        type:
          type: string
          const: username
          title: Type
          default: username
        username:
          type: string
          minLength: 1
          title: Username
      type: object
      required:
        - username
      title: UsernameData
    NameData:
      properties:
        type:
          type: string
          const: name
          title: Type
          default: name
        first_name:
          type: string
          title: First Name
        last_name:
          type: string
          title: Last Name
        is_strict:
          type: boolean
          title: Is Strict
      type: object
      required:
        - first_name
        - last_name
        - is_strict
      title: NameData
    IdentifierAuthorizationStatus:
      type: string
      enum:
        - pending
        - rejected
        - authorized
      title: IdentifierAuthorizationStatus
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````